Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class ReattachVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor
          org.hibernate.event.internal.ProxyVisitor
              org.hibernate.event.internal.ReattachVisitor

Direct Known Subclasses:
  OnLockVisitor, OnReplicateVisitor, OnUpdateVisitor

    public abstract class ReattachVisitor

extends ProxyVisitor

Abstract superclass of visitors that reattach collections.

Constructor Summary
`ReattachVisitor(EventSource session, Serializable ownerIdentifier, Object owner)`

Method Summary

Methods inherited from class org.hibernate.event.internal.ProxyVisitor
`isOwnerUnchanged, reattachCollection`

Methods inherited from class org.hibernate.event.internal.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReattachVisitor

    public ReattachVisitor(EventSource session,
                           Serializable ownerIdentifier,
                           Object owner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.